## HTTPClient
Interface HashVerifier

All Known Implementing Classes:
  VerifyDigest, VerifyMD5, VerifyRspAuth

interface HashVerifier

This interface defines a hash verifier.

Method Summary
`void` `verifyHash(byte[] hash, long len)` This method is invoked when a digest of a stream has been calculated.

Method Detail

### verifyHash

    public void verifyHash(byte[] hash,
                           long len)
                    throws IOException

  This method is invoked when a digest of a stream has been calculated. It must verify that the hash (or some function of it) is correct and throw an IOException if it is not.

  Parameters:
    `hash` - the calculated hash
    `len` - the number of bytes read from the stream
  Throws:
    `IOException` - if the verification fails.